Skip to content

Retrieve a collection resource

Request

OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Retrieves a collection resource with its details. Use the include query parameter to return additional properties such as resourceProfile, labels, and relatedApps.

Path
collectionIdstringrequired

Unique identifier for the collection

resourceIdstringrequired

Unique identifier for the resource

Query
includeArray of strings

The include query parameter returns additional properties in the response.

Items Enum ValueDescription
labels

Returns governance labels associated with the resource

relatedApps

Returns related apps for group and push group resources. Ignored for app resources.

resourceProfile

Returns the resource profile details (name, label, logo) for the resource.

Example:include=labels
curl -i -X GET \
  'https://subdomain.okta.com/governance/api/v2/collections/{collectionId}/resources/{resourceId}?include=labels'

Responses

Response to a successful get resource collection operation

Bodyapplication/json
resourceOrnstring, (okta-resource-orn)(collection-resource-orn)required

The ORN identifier for a collection resource (app, group, or push group).

See the supported-resources endpoint.

resourceIdstring, (okta-resource-id), <= 20 characters(collection-resource-id)

The unique resource ID for this resource (app, group, or push group). Use this identifier to reference the resource in collection-resource API calls, such as GET/PUT/DELETE /v2/collections/{collectionId}/resources/{resourceId}.

resourceProfileobject(resource-profile-v2)

A limited set of properties from the resource's profile

resourceConfigurationobject(collection-resource-configuration)read-only

Server-resolved configuration details for this resource within the collection

entitlementsArray of objects(collection-resource-full-entitlements)

Collection of entitlements with associated values for this app resource in the collection. This array is truncated to a backend-configured limit. To retrieve the full list of entitlements for this collection resource, use List all entitlements for a collection resource (also available as the entitlements link in _links).

pushGroupsArray of objects(collection-push-groups)

List of push groups associated with an app collection resource

labelsArray of objects(collection-resource-full-labels)

The governance labels associated with this resource. This array is truncated to a backend-configured limit. To retrieve the full set of labels for this resource, use List label resources filtered by this resource.

relatedAppsArray of objects(related-apps)

The apps related to this GROUP resource. This array is truncated to a backend-configured limit.

The semantics vary by group type:

  • Groups with hasPushMapping: false have apps that this group is directly assigned to. Use List assigned applications for group to retrieve the full list.
  • Groups with hasPushMapping: true have apps that this group is mapped to through a push group. There is no direct public endpoint that returns the full list of push-mapped apps for a source group.

For the reverse lookup (given an app, find the push groups mapped to it), use List all group push mappings.

Response

Response showing an app resource with entitlements

{ "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceConfiguration": { "entitlementManagementEnabled": true, "type": "APPLICATION", "counts": { … } }, "entitlements": [ { … }, { … } ], "_links": { "resource": { … }, "entitlements": { … } } }